Ptex: PtexReader::MetaData::LargeMetaData Class Reference

Ptex

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
PtexReader::MetaData::LargeMetaData Class Reference

`#include <PtexReader.h>`

Inheritance diagram for PtexReader::MetaData::LargeMetaData:

## Public Member Functions
| LargeMetaData (void **parent, PtexCacheImpl *cache, int size)
void * | data ()
Public Member Functions inherited from PtexCachedData
| PtexCachedData (void **parent, PtexCacheImpl *cache, int size)
void | ref ()
void | unref ()
Public Member Functions inherited from PtexLruItem
bool | inuse ()
void | orphan ()

## Private Member Functions
virtual | ~LargeMetaData ()

## Private Attributes
void * | _data

## Additional Inherited Members
Static Public Member Functions inherited from PtexLruItem
template<typename T >
static void | orphanList (T &list)
Protected Member Functions inherited from PtexCachedData
void | incSize (int size)
virtual | ~PtexCachedData ()
Protected Member Functions inherited from PtexLruItem
| PtexLruItem (void **parent=0)
virtual | ~PtexLruItem ()
Protected Attributes inherited from PtexCachedData
PtexCacheImpl * | _cache

## Detailed Description

Definition at line 207 of file PtexReader.h.

## Constructor & Destructor Documentation

PtexReader::MetaData::LargeMetaData::LargeMetaData | ( | void ** | parent,
|  | PtexCacheImpl * | cache,
|  | int | size
| ) |  |
| inline

Definition at line 210 of file PtexReader.h.

virtual PtexReader::MetaData::LargeMetaData::~LargeMetaData | ( |  | ) |
| inlineprivatevirtual

Definition at line 214 of file PtexReader.h.

## Member Function Documentation

void* PtexReader::MetaData::LargeMetaData::data | ( |  | ) |
| inline

Definition at line 212 of file PtexReader.h.

Referenced by PtexReader::MetaData::getEntry().

## Member Data Documentation

void* PtexReader::MetaData::LargeMetaData::_data
| private

Definition at line 215 of file PtexReader.h.

The documentation for this class was generated from the following file:

- PtexReader.h